[{"C:\\Users\\Anastasia\\Desktop\\React\\.vscode\\dadjokes\\src\\index.js":"1","C:\\Users\\Anastasia\\Desktop\\React\\.vscode\\dadjokes\\src\\App.js":"2","C:\\Users\\Anastasia\\Desktop\\React\\.vscode\\dadjokes\\src\\reportWebVitals.js":"3","C:\\Users\\Anastasia\\Desktop\\React\\.vscode\\dadjokes\\src\\DadJokes.js":"4","C:\\Users\\Anastasia\\Desktop\\React\\.vscode\\dadjokes\\src\\Joke.js":"5","C:\\Users\\Anastasia\\Desktop\\React\\.vscode\\dadjokes\\src\\Styles\\sizes.js":"6"},{"size":500,"mtime":499162500000,"results":"7","hashOfConfig":"8"},{"size":770,"mtime":1613914341603,"results":"9","hashOfConfig":"8"},{"size":362,"mtime":499162500000,"results":"10","hashOfConfig":"8"},{"size":5927,"mtime":1613917002920,"results":"11","hashOfConfig":"8"},{"size":1477,"mtime":1612190696533,"results":"12","hashOfConfig":"8"},{"size":255,"mtime":1613908204189,"results":"13","hashOfConfig":"8"},{"filePath":"14","messages":"15","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"16"},"1dpso7",{"filePath":"17","messages":"18","errorCount":0,"warningCount":2,"fixableErrorCount":0,"fixableWarningCount":0,"source":"19","usedDeprecatedRules":"16"},{"filePath":"20","messages":"21","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"16"},{"filePath":"22","messages":"23","errorCount":0,"warningCount":2,"fixableErrorCount":0,"fixableWarningCount":0,"source":null},{"filePath":"24","messages":"25","errorCount":0,"warningCount":1,"fixableErrorCount":0,"fixableWarningCount":0,"source":"26","usedDeprecatedRules":"16"},{"filePath":"27","messages":"28","errorCount":0,"warningCount":1,"fixableErrorCount":0,"fixableWarningCount":0,"source":"29","usedDeprecatedRules":"16"},"C:\\Users\\Anastasia\\Desktop\\React\\.vscode\\dadjokes\\src\\index.js",[],["30","31"],"C:\\Users\\Anastasia\\Desktop\\React\\.vscode\\dadjokes\\src\\App.js",["32","33"],"import './App.css';\nimport DadJokes from './DadJokes';\nimport React, {Component} from 'react';\nimport {mergeClasses, withStyles} from '@material-ui/styles'\nimport sizes from './Styles/sizes';\nimport { Hidden } from '@material-ui/core';\n\nconst styles ={\n App:{\n  display: \"flex\",\n  alignItems: \"center\",\n  height:\"100vh\",\n  justifyContent: \"center\",\n  background: \"linear-gradient(125deg,  #ABE1FC 0%,  #ABE1FC 50%,  #F05688 50%, #F05688 100%)\",\n  backgroundColor:\"red\",\n  fontFamily: 'Rubik, sans-serif',\n  [sizes.down(\"md\")]:{\n    height:\"100vh\",\n    width:\"100vw\",\n  }\n }\n}\nclass App extends Component {\n render()\n {\n  let  {classes}=this.props;\n  return (\n    <div className={classes.App}>\n   <DadJokes/>\n    </div>\n  );\n }\n}\n\nexport default withStyles(styles)(App);\n","C:\\Users\\Anastasia\\Desktop\\React\\.vscode\\dadjokes\\src\\reportWebVitals.js",[],"C:\\Users\\Anastasia\\Desktop\\React\\.vscode\\dadjokes\\src\\DadJokes.js",["34","35"],"C:\\Users\\Anastasia\\Desktop\\React\\.vscode\\dadjokes\\src\\Joke.js",["36"],"import React,{Component} from 'react';\r\nimport './Joke.css'\r\nclass Joke extends Component {\r\n    render()\r\n    {\r\n        let emoji='';\r\n        let scoreColor='';\r\n        if(this.props.score<0)\r\n        {\r\n            emoji='angry';\r\n            scoreColor='red';\r\n        }\r\n        else if(this.props.score>=0 && this.props.score<5)\r\n        {\r\n            emoji='disappointed';\r\n            scoreColor='orange'\r\n        }\r\n        else if(this.props.score>=5 && this.props.score<8)\r\n        {\r\n            emoji='expressionless';\r\n            scoreColor='yellow'\r\n        }\r\n        else if(this.props.score>=8 && this.props.score<=12)\r\n        {\r\n            emoji='smile';\r\n            scoreColor='light-green'\r\n        }\r\n        else if(this.props.score>12)\r\n        {\r\n            emoji='laughing';\r\n            scoreColor='green'\r\n        }\r\n        return <div className='Joke'>\r\n            <i className=\"fas fa-arrow-down\" onClick={this.props.downvote}>\r\n                </i><p className='scor' style={{border:`2px solid ${scoreColor}`}}>{this.props.score}</p> \r\n            <i className=\"fas fa-arrow-up\" onClick={this.props.upvote}></i>\r\n            <div className='Joke-text'>\r\n            <p>{this.props.text}</p>\r\n            </div>\r\n            <div className='Joke-smiley'>\r\n            <i className={`em em-${emoji}`} aria-role=\"presentation\" aria-label=\"ANGRY FACE\"></i>\r\n            </div>\r\n            \r\n        </div>\r\n    }\r\n}\r\n\r\nexport default Joke;","C:\\Users\\Anastasia\\Desktop\\React\\.vscode\\dadjokes\\src\\Styles\\sizes.js",["37"],"export default {\r\n    down(size) {\r\n      const sizes = {\r\n        xs: \"575.98px\",\r\n        sm: \"767.98px\",\r\n        md: \"991.98px\",\r\n        lg: \"1199.98px\",\r\n        xl: \"1600px\"\r\n      };\r\n      return `@media (max-width: ${sizes[size]})`;\r\n    }\r\n  };",{"ruleId":"38","replacedBy":"39"},{"ruleId":"40","replacedBy":"41"},{"ruleId":"42","severity":1,"message":"43","line":4,"column":9,"nodeType":"44","messageId":"45","endLine":4,"endColumn":21},{"ruleId":"42","severity":1,"message":"46","line":6,"column":10,"nodeType":"44","messageId":"45","endLine":6,"endColumn":16},{"ruleId":"47","severity":1,"message":"48","line":191,"column":13,"nodeType":"49","endLine":191,"endColumn":37},{"ruleId":"50","severity":1,"message":"51","line":203,"column":11,"nodeType":"52","endLine":203,"endColumn":115},{"ruleId":"47","severity":1,"message":"48","line":41,"column":45,"nodeType":"49","endLine":41,"endColumn":69},{"ruleId":"53","severity":1,"message":"54","line":1,"column":1,"nodeType":"55","endLine":12,"endColumn":5},"no-native-reassign",["56"],"no-negated-in-lhs",["57"],"no-unused-vars","'mergeClasses' is defined but never used.","Identifier","unusedVar","'Hidden' is defined but never used.","jsx-a11y/aria-props","aria-role: This attribute is an invalid ARIA attribute.","JSXAttribute","jsx-a11y/alt-text","img elements must have an alt prop, either with meaningful text, or an empty string for decorative images.","JSXOpeningElement","import/no-anonymous-default-export","Assign object to a variable before exporting as module default","ExportDefaultDeclaration","no-global-assign","no-unsafe-negation"]